Skip to main content
Users
CloudPortalLogin
  • Powered byPowered by
Developing with Sitecore Personalize
Data privacy
Before you start sending data
Integrating with Sitecore Personalize
Stream API
Personalize API Flow execution
REST APIs
  • Sitecore Personalize for developers
  • REST APIs
  • Flow definition REST API
  • Retrieve flow definitions

Retrieve flow definitions

GET /v3/flowDefinitions

Retrieves all flow definitions.

In the response, in every object in the items array, the ref key contains the flow definition reference.

You use the flow definition reference to interact with a specific flow definition, for example, to retrieve or update it.

RequestResponse
curl -X GET '<baseURL>/v3/flowDefinitions' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
RequestResponse
{
  "href": "<baseURL>/v3/flowDefinitions",
  "items": [
    {
      "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
      "href": "<baseURL>/v3/flowDefinitions/ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8",
      "ref": "ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8",
      "name": "Alert bar 1",
      "modifiedByRef": "zwxCA58jwLzfeU2mNGgalCpoJzNVYOJl@clients",
      "modifiedAt": "2025-07-04T13:45:32.922Z",
      "revision": 1,
      "archived": false,
      "friendlyId": "alert_bar_1",
      "type": "INTERACTIVE_WEB_FLOW",
      "subtype": "EXPERIENCE",
      "channels": [
          "WEB"
      ],
      "triggers": [],
      "tags": [],
      "businessProcess": "interactive_v1",
      "traffic": {
          "type": "simpleTraffic",
          "weightingAlgorithm": "USER_DEFINED",
          "modifiedAt": "2025-07-04T13:45:33.033Z",
          "allocation": 100,
          "splits": [],
          "coupled": false
      },
      "variants": [],
      "transpiledVariants": [],
      "status": "DRAFT",
      "schedule": {
          "type": "simpleSchedule",
          "startDate": "2025-07-04T11:46:41.810Z"
      },
      "revisions": {
          "href": "<baseURL>/v3/flowDefinitions/ddfa024b-dd69-4e4d-af78-44d6cf0d7bf8/revisions"
      },
      "sampleSizeConfig": {
          "baseValue": 0.02,
          "minimumDetectableDifference": 0.2,
          "confidenceLevel": 0.95
      }
    }
  ]
}

Do you have some feedback for us?

If you have suggestions for improving this article,

Privacy policySitecore Trust CenterCopyright © 1999-2026 Sitecore